# Signature
[OMXMLSecurity]

## Functions
AXIS2_EXTERN axis2_status_t | oxs_sig_sign_hmac_sha1 (const axutil_env_t *env, oxs_sign_ctx_t *sign_ctx, oxs_buffer_t *input, oxs_buffer_t *output)
AXIS2_EXTERN axis2_status_t | oxs_sig_sign_rsa_sha1 (const axutil_env_t *env, oxs_sign_ctx_t *sign_ctx, oxs_buffer_t *input, oxs_buffer_t *output)
AXIS2_EXTERN axis2_status_t | oxs_sig_sign (const axutil_env_t *env, oxs_sign_ctx_t *sign_ctx, oxs_buffer_t *input, oxs_buffer_t *output)
AXIS2_EXTERN axis2_status_t | oxs_sig_verify (const axutil_env_t *env, oxs_sign_ctx_t *sign_ctx, axis2_char_t *content, axis2_char_t *signature)
AXIS2_EXTERN axis2_status_t | oxs_sig_verify_hmac_sha1 (const axutil_env_t *env, oxs_sign_ctx_t *sign_ctx, axis2_char_t *content, axis2_char_t *signature)
AXIS2_EXTERN axis2_status_t | oxs_sig_verify_rsa_sha1 (const axutil_env_t *env, oxs_sign_ctx_t *sign_ctx, axis2_char_t *content, axis2_char_t *signature)

## Function Documentation

AXIS2_EXTERN axis2_status_t oxs_sig_sign | ( | const axutil_env_t * | env,
|  | oxs_sign_ctx_t * | sign_ctx,
|  | oxs_buffer_t * | input,
|  | oxs_buffer_t * | output |
| ) |  |  |

Signs a content placed in buf using the information available in the signature context . The result will be placed in the buffer . Note that the result is base64 encoded. pointer to environment struct the signature context input buffer output buffer

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_sig_sign_hmac_sha1 | ( | const axutil_env_t * | env,
|  | oxs_sign_ctx_t * | sign_ctx,
|  | oxs_buffer_t * | input,
|  | oxs_buffer_t * | output |
| ) |  |  |

Signs an input buffer using the HMAC-SHA1 algorithm. The secret will be taken form the signature context Result will be placed in output buffer pointer to environment struct the signature context input buffer output buffer

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_sig_sign_rsa_sha1 | ( | const axutil_env_t * | env,
|  | oxs_sign_ctx_t * | sign_ctx,
|  | oxs_buffer_t * | input,
|  | oxs_buffer_t * | output |
| ) |  |  |

Signs an input buffer using the RSA-SHA1 algorithm. Result will be placed in output buffer pointer to environment struct the signature context input buffer output buffer

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_sig_verify | ( | const axutil_env_t * | env,
|  | oxs_sign_ctx_t * | sign_ctx,
|  | axis2_char_t * | content,
|  | axis2_char_t * | signature |
| ) |  |  |

Verifies a with using the information available in the signature content . Note that the signature should be the base64 encoded value of a digital signature. pointer to environment struct the signature context the content that's signed the signature value

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_sig_verify_hmac_sha1 | ( | const axutil_env_t * | env,
|  | oxs_sign_ctx_t * | sign_ctx,
|  | axis2_char_t * | content,
|  | axis2_char_t * | signature |
| ) |  |  |

Verifies with using the information available in the signature content as per the HMA-SHA1 algorithm pointer to environment struct the signature context the content that's signed the signature value

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_sig_verify_rsa_sha1 | ( | const axutil_env_t * | env,
|  | oxs_sign_ctx_t * | sign_ctx,
|  | axis2_char_t * | content,
|  | axis2_char_t * | signature |
| ) |  |  |

Verifies with using the information available in the signature content as per the RSA-SHA1 algorithm pointer to environment struct the signature context the content that's signed the signature value

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE